<author-form external-fields='[
          {
            "id": "classtype",
            "label": "Class",
            "description": "The classtype",
            "xsdDatatype": "xsd:anyURI",
            "minOccurs": "1",
            "maxOccurs": "1",
            "selectPattern": "SELECT ?value WHERE {?subject a <http://www.cidoc-crm.org/cidoc-crm/E21_Person>}",
            "insertPattern": "",
            "deletePattern": ""
          },
          {
            "id": "lookup",
            "label": "Person",
            "description": "Look up a person entity by name",
            "xsdDatatype": "xsd:anyURI",
            "minOccurs": "1",
            "maxOccurs": "1",
            "selectPattern": "SELECT ?value WHERE {?subject a <http://www.cidoc-crm.org/cidoc-crm/E21_Person>}",
            "autosuggestionPattern": "PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>PREFIX bds: <http://www.bigdata.com/rdf/search#>PREFIX skos: <http://www.w3.org/2004/02/skos/core#>PREFIX luc: <http://www.ontotext.com/owlim/lucene#>PREFIX aat: <http://vocab.getty.edu/aat/>PREFIX gvp: <http://vocab.getty.edu/ontology#>PREFIX xl: <http://www.w3.org/2008/05/skos-xl#>PREFIX dct: <http://purl.org/dc/terms/>PREFIX gvp_lang: <http://vocab.getty.edu/language/>PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>PREFIX wd: <http://www.wikidata.org/entity/>PREFIX wdt: <http://www.wikidata.org/prop/direct/>PREFIX wikibase: <http://wikiba.se/ontology#>PREFIX bd: <http://www.bigdata.com/rdf#>SELECT * WHERE { { SERVICE <https://rs.lincsproject.ca/sparql> { SELECT ?value ?label where { GRAPH ?src { ?value a crm:E21_Person; rdfs:label ?l . } SERVICE bds:search { ?l bds:search ?__token__; bds:minRelevance \"0.5\"; bds:matchAllTerms \"false\"; bds:relevance ?score. } BIND(\"0\" as ?sort) BIND(CONCAT(CONCAT(\">) (Source: LINCS (<\", str(?src)), \">))\") as ?provider) BIND(CONCAT(CONCAT(CONCAT(?l, \" (IRI: <\"), str(?value)), ?provider) as ?label) } LIMIT 10 } } UNION{ SELECT ?value ?label where { SERVICE <https://query.wikidata.org/sparql> { SELECT DISTINCT ?item ?itemLabel WHERE { ?item wdt:P31 wd:Q5 . ?item ?label ?__token__ . SERVICE wikibase:label { bd:serviceParam wikibase:language \"en\" . } } LIMIT 10} BIND(?item as ?value) BIND(CONCAT(CONCAT(CONCAT(?itemLabel, \" (IRI: <\"), str(?item)), \">) (Source: Wikidata)\") as ?label) BIND(\"1\" as ?sort)}}} ORDER BY ?sort",
            "insertPattern": "",
            "deletePattern": ""
          }]'
          node='{{node}}' template='{{> form}}'
          external-insert-query="PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                        PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                        PREFIX wd: <http://www.wikidata.org/entity/>
                        PREFIX dct: <http://purl.org/dc/terms/>
                        PREFIX gvp: <http://vocab.getty.edu/ontology#>
                        PREFIX skos: <http://www.w3.org/2004/02/skos/core#>
                        PREFIX gvp_lang: <http://vocab.getty.edu/language/>
                        PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
                        INSERT { 
                          GRAPH <{graphIRI}> { 
                          <{iri}> a <http://www.cidoc-crm.org/cidoc-crm/E21_Person> ;
                            rdfs:label ?label ;
                            rdfs:comment ?description .
                          }
                        } WHERE { 
                          { 
                              SERVICE <https://rs.lincsproject.ca/sparql> { 
                                  SELECT ?label ?description where { 
                                      <{iri}> rdfs:label ?label .
                                      OPTIONAL {<{iri}> rdfs:comment ?description}
                                      filter(lang(?label)='en')
                                  }
                              }
                          } UNION
                          { 
                              SERVICE <https://query.wikidata.org/sparql> { 
                                  SELECT ?label ?description where { 
                                      <{iri}> rdfs:label ?label .
                                      optional {<{iri}> <http://schema.org/description> ?description .
                                      FILTER(lang(?description)='en') }
                                      filter(lang(?label)='en')
                                  }
                              }
                          }
                        }"

          frame='{{viewId}}'
          tokenizeLuceneQuery=false 
          escapeLuceneSyntax=false
          semantic-title='Person (crm:E21_Person)'
          semantic-title-iri='http://www.cidoc-crm.org/cidoc-crm/E21_Person'
          semantic-fields='[[fieldDefinitions 
                    classtype = "http://www.w3.org/1999/02/22-rdf-syntax-ns#type"
                    label = "http://www.w3.org/2000/01/rdf-schema#label"
                    name = "http://xmlns.com/foaf/0.1/name"
                    core_prefLabel = "http://www.w3.org/2004/02/skos/core#prefLabel"
                    core_altLabel = "http://www.w3.org/2004/02/skos/core#altLabel"
                    P2_has_type_auto = "http://www.cidoc-crm.org/cidoc-crm/P2_has_type"
                    P2_has_type_tree = "http://www.cidoc-crm.org/cidoc-crm/P2_has_type"
                    same_as_auto = "http://www.w3.org/2002/07/owl#sameAs"
                    same_as_man = "http://www.w3.org/2002/07/owl#sameAs"
                    P129_is_about = "http://www.cidoc-crm.org/cidoc-crm/P129_is_about"
                    PX_has_main_representation = "http://www.researchspace.org/ontology/PX_has_main_representation"
                    P74_has_current_or_former_residence = "http://www.cidoc-crm.org/cidoc-crm/P74_has_current_or_former_residence"
                    P3_has_note = "http://www.cidoc-crm.org/cidoc-crm/P3_has_note"
                    P1_is_identified_by = "http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by"
                    P76_has_contact_point = "http://www.cidoc-crm.org/cidoc-crm/P76_has_contact_point"
                    P152_has_parent = "http://www.cidoc-crm.org/cidoc-crm/P152_has_parent"
                    P01_has_domain = "http://www.cidoc-crm.org/cidoc-crm/P01_has_domain"
                    ]]'>
  <template id='form'> 
      <div class="form-scroll-area">
              <semantic-query query="SELECT DISTINCT ?profile ?title where {        
            graph <http://metadata.lincsproject.ca> { 
                ?g crm:P1_is_identified_by ?title_id .
                ?title_id crm:P2_has_type <http://vocab.getty.edu/aat/300417227> ;
                    crm:P190_has_symbolic_content ?title .	
                ?subject crm:P129_is_about ?g ; 
                    crm:P2_has_type lincs:applicationProfile ; 
                    crm:P1_is_identified_by ?id . 
                    ?id crm:P190_has_symbolic_content ?p.
                    BIND(IRI(?p) AS ?profile)
             } 
            {
              SELECT ?g WHERE { graph ?g {
                      ?subject a <http://www.cidoc-crm.org/cidoc-crm/E21_Person> .
                  }
              }
            }
        }" template='{{> template}}'>
          <template id="template">
            <div>
              <h2 style="padding: 10px 0px 10px 0px">Examine how this entity has been applied by LINCS:</h2>
              {{#each bindings}}
                <li style="padding-left: 25px;"><a target="_blank" href="{{profile.value}}" class="application_profile">{{title.value}}</a></li>
              {{/each}}
            </div>
          </template>  
        </semantic-query>
        <h2 style="padding-top: 25px;">General Properties</h2><semantic-form-hidden-input for="classtype" default-value="http://www.cidoc-crm.org/cidoc-crm/E21_Person"></semantic-form-hidden-input>
        <semantic-form-text-input for="label" languages='["en","fr","es","grc","it","la","de","pt","el","zh"]'></semantic-form-text-input>
        <semantic-form-text-input for="name"></semantic-form-text-input>
        <semantic-form-text-input for="core_prefLabel" languages='["en","fr","es","grc","it","la","de","pt","el","zh"]'></semantic-form-text-input></semantic-form-text-input>
        <semantic-form-text-input for="core_altLabel" languages='["en","fr","es","grc","it","la","de","pt","el","zh"]'></semantic-form-text-input></semantic-form-text-input>
        <semantic-form-autocomplete-input for="P2_has_type_auto" label="has type (full-text lookup)">[[> forms/modal/E55_Type]]</semantic-form-autocomplete-input>
        <semantic-form-tree-picker-input for="P2_has_type_tree" label="has type (vocabulary tree)">[[> forms/modal/E55_Type]]</semantic-form-tree-picker-input>
        <semantic-form-autocomplete-input for="same_as_auto" label="same as (lookup)"></semantic-form-autocomplete-input>
            <div class="create_new"><semantic-link uri="http://www.researchspace.org/resource/ThinkingFrames?view=entity-editor"><button type="button" class="semantic-form-tree-picker-input__create-button btn btn-default"><span class="fa fa-plus btn-icon-left"></span><span>Create new</span></button></semantic-link></div>
        <semantic-form-text-input for="same_as_man" label="same as (manual input)"></semantic-form-text-input>
        <semantic-form-autocomplete-input for="P129_is_about"></semantic-form-autocomplete-input>
            <div class="create_new"><semantic-link uri="http://www.researchspace.org/resource/ThinkingFrames?view=entity-editor"><button type="button" class="semantic-form-tree-picker-input__create-button btn btn-default"><span class="fa fa-plus btn-icon-left"></span><span>Create new</span></button></semantic-link></div><h2>E21_Person Properties</h2>
        <semantic-form-autocomplete-input for="PX_has_main_representation">[[> forms/modal/E89_Propositional_Object ]]</semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="P74_has_current_or_former_residence">[[> forms/modal/E53_Place ]]</semantic-form-autocomplete-input>
        <semantic-form-text-input for="P3_has_note" languages='["en","fr","es","grc","it","la","de","pt","el","zh"]'></semantic-form-text-input>
        <semantic-form-autocomplete-input for="P1_is_identified_by">[[> forms/modal/E41_Appellation ]]</semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="P76_has_contact_point"></semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="P152_has_parent">[[> forms/modal/E21_Person ]]</semantic-form-autocomplete-input>
        <semantic-form-autocomplete-input for="P01_has_domain"></semantic-form-autocomplete-input>
        </div>
      <div class="form_submit">
        <button name="submit" class="btn btn-default">Save</button>
        <button name="delete" class="btn btn-default">Delete</button>
        <button name="reset" class="btn btn-default">Reset</button>
      </div>
  </template>
</author-form>
